//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="PauseScreen.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Audio;
    using Microsoft.Xna.Framework.Content;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Input;
    using Microsoft.Xna.Framework.Storage;
    #endregion

    // The Intro cutscene
    public class Scene1 : CutSceneScreen
    {
        const int SWIRL_TIMER = 1400;
        const int SCREEN_TIMER_3500 = 3500;
        const int BLACK_TIMER = 500;
        const int SCEENBREAK_TIMER = 3000;


        // Constructor:
        public Scene1(): base()
        {
            // Swirl down (16 sec)
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl1"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl2"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl3"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl4"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl5"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl6"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl7"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-swirl8"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SWIRL_TIMER + 500);
            screenTimeDelays.Add(100);
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);
            screenTimeDelays.Add(SWIRL_TIMER);
            screenTimeDelays.Add(100);
            

            // Septasoul walks
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-Haiku1"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SCREEN_TIMER_3500 - 1000);
            screenTimeDelays.Add(100);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-Haiku2"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SCREEN_TIMER_3500 - 500);
            screenTimeDelays.Add(100);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-Haiku3"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SCREEN_TIMER_3500);
            screenTimeDelays.Add(100);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-Haiku4"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SCREEN_TIMER_3500 + 500);
            screenTimeDelays.Add(100);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/intro-Haiku5"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(SCREEN_TIMER_3500 + 1000);
            screenTimeDelays.Add(100);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/Tutor_Earth"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/Loading"));
            screenTimeDelays.Add(10000);
            screenTimeDelays.Add(100);
        }
    }
}