//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="PlayerSetup.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Graphics;
    #endregion

    // Player customization screen 
    public class PlayerSetup : GameScreen
    {
        GameMenu diagnosisMenu;
        // Attributes:
        public PlayerSetup()
        {
            float scaleX = (XML.SystemSettings.GAME_WINDOW_WIDTH / 1280.0f);
            float scaleY = (XML.SystemSettings.GAME_WINDOW_HEIGHT / 1024.0f);

            menu = new GameMenu("Player 1", 60 * scaleX, 48 * scaleY);
            menu.AddImageScroller("", 1);

            diagnosisMenu = new GameMenu("Diagnosis", 60 * scaleX, 500 * scaleY);
            diagnosisMenu.AddRandomImageDisplay("");

            //scale up the images
            menu.GetMenuElement(0).SetScale(1.6f, 1.7f);
            diagnosisMenu.GetMenuElement(0).SetScale(1.6f, 1.7f);
        }

        public GameMenuImageScroller GetPlayerSelection()
        {
            return ((GameMenuImageScroller)menu.GetMenuElement(0));
        }

        public GameMenuRandomImageDisplay GetDiagnosisDisplay()
        {
            return ((GameMenuRandomImageDisplay)diagnosisMenu.GetMenuElement(0));
        }

        public new void Draw(SpriteBatch spriteBatch)
        {
            base.Draw(spriteBatch);
            diagnosisMenu.Draw(spriteBatch);
        }
    }
}