
//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="Prop.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Audio;
    using Microsoft.Xna.Framework.Content;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Input;
    using Microsoft.Xna.Framework.Storage;
    using System.Xml;
    #endregion

    public class PropManager
    {
        public List<Prop> props = new List<Prop>();                         // A list of all Props in the game world
        public static float[] materialDiffuse = { 0.7f, 0.7f, 0.7f, 1.0f };       // Diffuse cofactor
        public static float[] materialSpecular = { 0.1f, 0.1f, 0.1f, 1.0f };      // Specular cofactor

        public Texture2D bumpMapTexture;

        private Effect effect;

        public PropManager()
        {
            props = new List<Prop>();
        }

        public void LoadGame()
        {
        }

        public void LoadXML(ModelManager modelManager, XmlNode node)
        {
            effect = ElementalGame.content.Load<Effect>("Shaders/ElementalGPU");
            props.Clear();
        }

        public void LoadLevel(XmlNode node)
        {
            //props = propsInfo;
            for (int i = 0; i < props.Count; i++)
            {
                props[i].Load(node);

                // Add Object to the lookup map
                ObjectLibrary.lookupMap.SetPosition(props[i].mass);
                ObjectLibrary.lookupMap.AddDynamic(props[i].mass);
            }
        }

        public void Update(ObjectLibrary objectLibrary, float dt)
        {
        }

        public void UnloadLevel()
        {
        }

        public void UnloadGame()
        {
            props = new List<Prop>();
        }
    }
}
